GET /pool/{uuid}/connpool/

GET /pool/{uuid}/connpool/

/pool/{uuid}/connpool/

Request
URI
GET
https://{api_host}/api/pool/{uuid}/connpool
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ConnpoolInternal of type(s) application/json
{
    "config": {
        "idle_timeout": 0,
        "life_timeout": 0,
        "lo_thresh": 0,
        "max_cache": 0,
        "max_reuse": 0,
        "strategy": "string",
        "thresh_timeout": 0
    },
    "oper_status": {
        "last_changed_time": {
            "secs": 0,
            "usecs": 0
        },
        "reason": [
            "string"
        ],
        "reason_code": 0,
        "reason_code_string": "string",
        "state": "string"
    },
    "proc_id": "string",
    "se_uuid": "string",
    "servers": [
        {
            "conn_bind": [
                {
                    "connection": {
                        "client_dst_ip": "string",
                        "client_dst_port": 0,
                        "client_src_ip": "string",
                        "client_src_port": 0,
                        "client_vrf_id": 0,
                        "downstream_buf_bytes": 0,
                        "server_dst_ip": "string",
                        "server_dst_port": 0,
                        "server_src_ip": "string",
                        "server_src_port": 0,
                        "server_vrf_id": 0,
                        "upstream_buf_bytes": 0
                    },
                    "reuse_cnt": 0
                }
            ],
            "conn_free": [
                {
                    "connection": {
                        "client_dst_ip": "string",
                        "client_dst_port": 0,
                        "client_src_ip": "string",
                        "client_src_port": 0,
                        "client_vrf_id": 0,
                        "downstream_buf_bytes": 0,
                        "server_dst_ip": "string",
                        "server_dst_port": 0,
                        "server_src_ip": "string",
                        "server_src_port": 0,
                        "server_vrf_id": 0,
                        "upstream_buf_bytes": 0
                    },
                    "reuse_cnt": 0
                }
            ],
            "ip_addr": {
                "addr": "string",
                "type": "string"
            },
            "max_connection": 0,
            "num_conn_bind": 0,
            "num_conn_free": 0,
            "oper_status": {
                "last_changed_time": {
                    "secs": 0,
                    "usecs": 0
                },
                "reason": [
                    "string"
                ],
                "reason_code": 0,
                "reason_code_string": "string",
                "state": "string"
            },
            "port": 0,
            "stats": {
                "bound_size": 0,
                "busy_size": 0,
                "free_size": 0,
                "num_adds": 0,
                "num_close_evicts": 0,
                "num_dels": 0,
                "num_error_evicts": 0,
                "num_full_evicts": 0,
                "num_full_uncached": 0,
                "num_http2_invalid_frame_evicts": 0,
                "num_idle_evicts": 0,
                "num_lifetimes": 0,
                "num_requested": 0,
                "num_reuse_evicts": 0,
                "num_reused": 0,
                "num_strategy_converted": 0
            }
        }
    ]
}
object
config
Optional

config

object
oper_status
Optional

oper_status

string
proc_id
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
se_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
servers
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/pool/{uuid}/connpool